Description

I'd love to be able to set the MAC address of VM guests (we control the DHCP server manually (if I get lots of spare time maybe I'll

write a new dhcp smart proxy module)).

However the GUI hides the mac address in the "New -> Host -> Network" page, sadly it's not as simple as just commenting out

"unless @hypervisor" from ./app/views/hosts/_unattended.html.erb.

./lib/foreman/controller/host_details.rb seems to be responsible somehow for displaying/hiding this item but my Rails development

knowledge is non-existant.

Currently we have to create the VM (which fails to boot), then edit the libvirt config, stop the build, edit mac address, start the build.

It'd be great if you could optionally specify the MAC address to use (and to generate one if it's blank as it currently does).

Foreman: v0.4.1

Related issues:

Has duplicate Foreman - Feature #13089: Support specifying interface MAC addr... Duplicate 01/08/2016

History

#1 - 02/22/2012 02:48 PM - Ohad Levy

I'm not sure i follow of why :)

1. why not using the smart proxy? :)

2. the mac needs to be within a certain range, not ideal for foreman to validate it.

3. why not use the mac address which is generated via libvirt?

#2 - 02/23/2012 06:23 PM - Adrian Bridgett

All fair points :-)

1) we actually have a non-trivial setup - multiple subnets, I'm not sure the smart-proxy is sufficiently smart.  There are also cases where you might not

have direct access to DHCP daemon.

2) I'm not sure I follow - surely it can still perform some validation and reject it (and hey, if it lets a bad one through that's my fault anyway for putting a

broken value in)

3) see 1) :-)

I certainly agree that it's nice not to have to type a MAC address in, I suppose what I'm after is a small change to allow people to set it, a blank field

still being autogenerated as now.

#3 - 08/21/2014 04:43 AM - Stephen Benjamin

- Description updated

If a user is managing DHCP externally to Foreman, on an IPAM system that sets `next-server` based on matching a MAC range, it would be useful to

be able to specify it in the UI. Perhaps under some kind of 'Advanced' section.

#4 - 08/21/2014 04:44 AM - Stephen Benjamin
- Bugzilla link set to 1132364

#5 - 03/15/2016 06:01 AM - Ohad Levy

- Related to Feature #13089: Support specifying interface MAC address during VM creation added

#6 - 03/15/2016 06:01 AM - Dominic Cleal

- Category set to Compute resources

#7 - 03/15/2016 06:03 AM - Dominic Cleal

- Related to deleted (Feature #13089: Support specifying interface MAC address during VM creation)

#8 - 03/15/2016 06:04 AM - Dominic Cleal

- Has duplicate Feature #13089: Support specifying interface MAC address during VM creation added

#9 - 07/10/2018 11:37 AM - Oliver Freyermuth

- Triaged set to No

Just for the records, we've also run into this.

Our IPAM is also external and we can not connect it to Foreman, so right now, we have to use a manual workflow :-(.

#10 - 08/31/2020 07:11 PM - rwagner76 please_edit_me

Using an external IPAM, this is a significant issue for fully automated deployments in my environment as well.
